Index: code/branches/orxonox_tutorial/src/ceguilua-0.5.0b/ceguilua/CEGUILua.cpp
===================================================================
--- code/branches/orxonox_tutorial/src/ceguilua-0.5.0b/ceguilua/CEGUILua.cpp	(revision 1835)
+++ code/branches/orxonox_tutorial/src/ceguilua-0.5.0b/ceguilua/CEGUILua.cpp	(revision 1846)
@@ -38,6 +38,4 @@
 #include "tolua/tolua++.h"
 
-#include "tolua++.h"
-
 // prototype for bindings initialisation function
 int tolua_CEGUI_open(lua_State* tolua_S);
Index: code/branches/orxonox_tutorial/src/core/BaseObject.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/BaseObject.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/core/BaseObject.h	(revision 1846)
@@ -41,5 +41,5 @@
 #include "Super.h"
 #include "OrxonoxClass.h"
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 
 namespace orxonox
Index: code/branches/orxonox_tutorial/src/core/CMakeLists.txt
===================================================================
--- code/branches/orxonox_tutorial/src/core/CMakeLists.txt	(revision 1835)
+++ code/branches/orxonox_tutorial/src/core/CMakeLists.txt	(revision 1846)
@@ -56,5 +56,5 @@
 GET_TARGET_PROPERTY(TOLUA_EXE tolua_orxonox LOCATION)
 ADD_CUSTOM_COMMAND(
-  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc
+  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.h
   COMMAND ${TOLUA_EXE} -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg
   DEPENDS
@@ -70,4 +70,6 @@
 TARGET_LINK_LIBRARIES(core
   ${OGRE_LIBRARIES}
+  ${Boost_thread_LIBRARIES}
+  ${Boost_filesystem_LIBRARIES}
   lua_orxonox
   cpptcl_orxonox
@@ -76,5 +78,3 @@
   tolualib_orxonox
   util
-  ${Boost_thread_LIBRARIES}
-  ${Boost_filesystem_LIBRARIES}
 )
Index: code/branches/orxonox_tutorial/src/core/Namespace.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/Namespace.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/core/Namespace.h	(revision 1846)
@@ -34,5 +34,5 @@
 #include <map>
 
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 #include "BaseObject.h"
 
Index: code/branches/orxonox_tutorial/src/core/Super.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/Super.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/core/Super.h	(revision 1846)
@@ -72,5 +72,5 @@
 
 #include "util/Debug.h"
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 
 ///////////////////////
Index: code/branches/orxonox_tutorial/src/core/XMLPort.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/XMLPort.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/core/XMLPort.h	(revision 1846)
@@ -33,7 +33,7 @@
 
 #include "util/Debug.h"
-#include "util/XMLIncludes.h"
 #include "util/MultiType.h"
 #include "tinyxml/ticpp.h"
+#include "XMLIncludes.h"
 #include "Executor.h"
 #include "CoreIncludes.h"
Index: code/branches/orxonox_tutorial/src/network/Synchronisable.cc
===================================================================
--- code/branches/orxonox_tutorial/src/network/Synchronisable.cc	(revision 1835)
+++ code/branches/orxonox_tutorial/src/network/Synchronisable.cc	(revision 1846)
@@ -41,5 +41,5 @@
 #include "Synchronisable.h"
 
-#include <string>
+#include <cstring>
 #include <iostream>
 #include <assert.h>
Index: code/branches/orxonox_tutorial/src/network/Synchronisable.h
===================================================================
--- code/branches/orxonox_tutorial/src/network/Synchronisable.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/network/Synchronisable.h	(revision 1846)
@@ -34,5 +34,5 @@
 #include <list>
 #include "core/OrxonoxClass.h"
-#include "util/XMLIncludes.h"
+#include "core/XMLIncludes.h"
 #include "NetworkCallback.h"
 
Index: code/branches/orxonox_tutorial/src/network/packet/Chat.h
===================================================================
--- code/branches/orxonox_tutorial/src/network/packet/Chat.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/network/packet/Chat.h	(revision 1846)
@@ -4,4 +4,5 @@
 
 #include <string>
+#include <cstring>
 
 #include "Packet.h"
Index: code/branches/orxonox_tutorial/src/network/packet/ClassID.cc
===================================================================
--- code/branches/orxonox_tutorial/src/network/packet/ClassID.cc	(revision 1835)
+++ code/branches/orxonox_tutorial/src/network/packet/ClassID.cc	(revision 1846)
@@ -31,5 +31,5 @@
 #include "ClassID.h"
 #include "core/CoreIncludes.h"
-#include <string>
+#include <cstring>
 #include <assert.h>
 
Index: code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt	(revision 1835)
+++ code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt	(revision 1846)
@@ -34,6 +34,4 @@
   overlays/hud/HUDSpeedBar.cc
 
-  tolua/tolua_bind.cc
-
   tools/BillboardSet.cc
   tools/Light.cc
@@ -64,9 +62,11 @@
   objects/RotatingProjectile.cc
   objects/ParticleProjectile.cc
+
+  tolua/tolua_bind.cc
 )
 
 GET_TARGET_PROPERTY(TOLUA_EXE tolua_orxonox LOCATION)
 ADD_CUSTOM_COMMAND(
-  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc
+  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.h
   COMMAND ${TOLUA_EXE} -n Orxonox -o ../../src/orxonox/tolua/tolua_bind.cc -H ../../src/orxonox/tolua/tolua_bind.h ../../src/orxonox/tolua/tolua.pkg
   DEPENDS
@@ -105,5 +105,4 @@
   tinyxml_orxonox
   tolualib_orxonox
-  ois_orxonox
   util
   core
Index: code/branches/orxonox_tutorial/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/OrxonoxStableHeaders.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/orxonox/OrxonoxStableHeaders.h	(revision 1846)
@@ -79,5 +79,4 @@
 #include "util/String.h"
 #include "util/SubString.h"
-#include "util/XMLIncludes.h"
 
 #include "core/BaseObject.h"
@@ -87,4 +86,5 @@
 #include "core/CommandExecutor.h"
 #include "core/Executor.h"
+#include "core/XMLIncludes.h"
 #include "core/XMLPort.h"
 
Index: code/branches/orxonox_tutorial/src/orxonox/SignalHandler.cc
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/SignalHandler.cc	(revision 1835)
+++ code/branches/orxonox_tutorial/src/orxonox/SignalHandler.cc	(revision 1846)
@@ -38,4 +38,6 @@
 #include <assert.h>
 #include <iostream>
+#include <cstdlib>
+#include <cstring>
 
 SignalHandler * SignalHandler::singletonRef = NULL;
Index: code/branches/orxonox_tutorial/src/orxonox/gui/OgreCEGUIRenderer.h
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/gui/OgreCEGUIRenderer.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/orxonox/gui/OgreCEGUIRenderer.h	(revision 1846)
@@ -38,6 +38,7 @@
 #include <OgreTextureUnitState.h>
 
-#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_STATIC_LIB)
-#   ifdef OGRE_GUIRENDERER_EXPORTS
+/** CHANGES MADE BY ORXONOX TO FIT DLL IMPORT/EXPORT **/
+#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !(defined(ORXONOX_STATIC_BUILD) || defined(ORXONOX_NO_EXPORTS))
+#   ifdef ORXONOX_SHARED_BUILD
 #       define OGRE_GUIRENDERER_API __declspec(dllexport)
 #   else
Index: code/branches/orxonox_tutorial/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/objects/WorldEntity.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/orxonox/objects/WorldEntity.h	(revision 1846)
@@ -35,9 +35,9 @@
 #include <OgreSceneNode.h>
 #include "util/Math.h"
-#include "util/XMLIncludes.h"
 #include "network/Synchronisable.h"
+#include "core/XMLIncludes.h"
 #include "core/BaseObject.h"
 #include "Tickable.h"
-#include "../tools/Mesh.h"
+#include "tools/Mesh.h"
 
 namespace orxonox
Index: code/branches/orxonox_tutorial/src/util/CMakeLists.txt
===================================================================
--- code/branches/orxonox_tutorial/src/util/CMakeLists.txt	(revision 1835)
+++ code/branches/orxonox_tutorial/src/util/CMakeLists.txt	(revision 1846)
@@ -20,4 +20,3 @@
 TARGET_LINK_LIBRARIES(util
   ${OGRE_LIBRARIES}
-  ${Lua_LIBRARIES}
 )
Index: code/branches/orxonox_tutorial/src/util/Convert.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/Convert.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/util/Convert.h	(revision 1846)
@@ -39,4 +39,5 @@
 #include <string>
 #include <sstream>
+#include <typeinfo>
 
 #include "Math.h"
Index: code/branches/orxonox_tutorial/src/util/Math.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/Math.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/util/Math.h	(revision 1846)
@@ -220,5 +220,5 @@
 inline _UtilExport float rnd()
 {
-    return ((float)rand() / (RAND_MAX + 1));
+    return rand() / (RAND_MAX + 1.0);
 }
 
Index: code/branches/orxonox_tutorial/src/util/Sleep.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/Sleep.h	(revision 1835)
+++ code/branches/orxonox_tutorial/src/util/Sleep.h	(revision 1846)
@@ -39,9 +39,5 @@
 
 #if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
-
-#ifndef WIN32_LEAN_AND_MEAN
-# define WIN32_LEAN_AND_MEAN
-#endif
-#include <windows.h>
+#include <winbase.h>
 
 inline void usleep(DWORD dwMicroseconds)
Index: code/branches/orxonox_tutorial/visual_studio/vc8/audio.vcproj
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/audio.vcproj	(revision 1835)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/audio.vcproj	(revision 1846)
@@ -5,5 +5,5 @@
 	Name="audio"
 	ProjectGUID="{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\audio_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\audio.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\audio_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\audio.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/branches/orxonox_tutorial/visual_studio/vc8/audio.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/audio.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/audio.vsprops	(revision 1846)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="audio"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
+		DisableSpecificWarnings="4244"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="vorbisfile$(CS).lib alut$(CS).lib OpenAL32$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/base.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/base.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/base.vsprops	(revision 1846)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
+		WarningLevel="3"
+		DisableSpecificWarnings="4522;4251;4800"
+	/>
+	<Tool
+		Name="VCLibrarianTool"
+		OutputFile="$(LibOutDir)$(ProjectName)$(CS).lib"
+		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
+		IgnoreAllDefaultLibraries="true"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
+		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib&quot;;&quot;$(LibDir)cegui-0.6.1\lib&quot;;&quot;$(LibDir)enet-1.2\lib&quot;;&quot;$(LibDir)freealut-1.1.0\lib&quot;;&quot;$(LibDir)libogg-1.1.3\lib&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib&quot;;&quot;$(LibDir)ogre-1.4.9\lib&quot;;&quot;$(LibDir)openal-1.1\lib&quot;;&quot;$(LibDir)tcl-8.5.2\lib&quot;;&quot;$(LibDir)zlib-1.2.3\lib&quot;"
+		SubSystem="1"
+		ImportLibrary="$(LibOutDir)$(TargetName).lib"
+		TargetMachine="1"
+	/>
+	<UserMacro
+		Name="LibOutDir"
+		Value="$(RootDir)build\"
+	/>
+	<UserMacro
+		Name="LibDir"
+		Value="$(RootDir)..\lib_dist\"
+	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/ceguilua.vcproj
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/ceguilua.vcproj	(revision 1835)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/ceguilua.vcproj	(revision 1846)
@@ -5,5 +5,5 @@
 	Name="ceguilua"
 	ProjectGUID="{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\ceguilua_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\ceguilua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\ceguilua_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\ceguilua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/branches/orxonox_tutorial/visual_studio/vc8/ceguilua.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/ceguilua.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/ceguilua.vsprops	(revision 1846)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="CEGUILUA_EXPORTS"
+		DisableSpecificWarnings="4996"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="CEGUIBase$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/core.vcproj	(revision 1835)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/core.vcproj	(revision 1846)
@@ -5,5 +5,5 @@
 	Name="core"
 	ProjectGUID="{271715F3-5B90-4110-A552-70C788084A86}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\core_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\core.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\core_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\core.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
@@ -416,4 +416,8 @@
 				>
 			</File>
+			<File
+				RelativePath="..\..\src\core\XMLIncludes.h"
+				>
+			</File>
 			<Filter
 				Name="input"
Index: code/branches/orxonox_tutorial/visual_studio/vc8/core.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/core.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/core.vsprops	(revision 1846)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="core"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="CORE_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib tcl85t.lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/cpptcl.vcproj
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/cpptcl.vcproj	(revision 1835)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/cpptcl.vcproj	(revision 1846)
@@ -5,5 +5,5 @@
 	Name="cpptcl"
 	ProjectGUID="{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\cpptcl_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\cpptcl.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\cpptcl_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\cpptcl.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/branches/orxonox_tutorial/visual_studio/vc8/cpptcl.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/cpptcl.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/cpptcl.vsprops	(revision 1846)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="cpptcl"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/debug.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/debug.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/debug.vsprops	(revision 1846)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="debug"
+	InheritedPropertySheets=".\base.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="0"
+		PreprocessorDefinitions="_DEBUG"
+		MinimalRebuild="true"
+		BasicRuntimeChecks="3"
+		RuntimeLibrary="3"
+		DebugInformationFormat="3"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		LinkIncremental="2"
+		GenerateDebugInformation="true"
+	/>
+	<UserMacro
+		Name="CS"
+		Value="_d"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/directories.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/directories.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/directories.vsprops	(revision 1846)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="directories"
+	OutputDirectory="$(RootDir)bin\"
+	IntermediateDirectory="$(RootDir)obj\$(ProjectName)\$(ConfigurationName)"
+	>
+	<UserMacro
+		Name="RootDir"
+		Value="$(SolutionDir)..\..\"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/lua.vcproj
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/lua.vcproj	(revision 1835)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/lua.vcproj	(revision 1846)
@@ -5,5 +5,5 @@
 	Name="lua"
 	ProjectGUID="{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\lua_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\lua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\lua_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\lua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/branches/orxonox_tutorial/visual_studio/vc8/lua.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/lua.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/lua.vsprops	(revision 1846)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/orxonox_tutorial/visual_studio/vc8/network.vcproj
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/network.vcproj	(revision 1835)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/network.vcproj	(revision 1846)
@@ -5,5 +5,5 @@
 	Name="network"
 	ProjectGUID="{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\network_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\network.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\network_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\network.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/branches/orxonox_tutorial/visual_studio/vc8/network.vsprops
===================================================================
--- code/branches/orxonox_tutorial/visual_studio/vc8/network.vsprops	(revision 1846)
+++ code/branches/orxonox_tutorial/visual_studio/vc8/network.vsprops	(revision 1846)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="network"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="enet$(CS).lib zlib$(CS).lib"
+		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
+	/>
+</VisualStudioPropertySheet>
